Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

Delete Talent Pool Group DELETEGet Talent Pool Group Details GETUpdate Talent Pool Group PUTRemove Provider from Talent Pool Group DELETEList Providers in Talent Pool Group GETList Talent Pool Groups GETCreate Talent Pool Group POST
PeopleTalent pool groups

Remove Provider from Talent Pool Group


Remove a provider from a talent pool group. Either tierId or removeFromProject query parameter is required. If tierId is provided, removes the provider from the specified talent pool (tier) within the group. If removeFromProject is true, removes the provider from all talent pool groups in the project.

DELETE
/api/rest/v2/talent-pool-groups/{group_uuid}/providers/{provider_id}

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

group_uuid*string

Talent Pool Group UUID

provider_id*integer

Provider ID

Query Parameters

tierId?integer

Talent pool ID (tier) to remove the provider from

removeFromProject?boolean

If true, removes the provider from all talent pool groups in the project

curl -X DELETE "https://api-sandbox.fndev.net/api/rest/v2/talent-pool-groups/string_value/providers/0"
{
  "success": true,
  "message": "Provider 557 removed from 1 talent pool(s)",
  "removed_count": 1
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status_code": 502,
  "message": "Unable to remove project provider due to invalid response from upstream service."
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

Update Talent Pool Group PUT

Previous Page

List Providers in Talent Pool Group GET

Next Page

curl -X DELETE "https://api-sandbox.fndev.net/api/rest/v2/talent-pool-groups/string_value/providers/0"